Bug 37733 - Printing #10 Envelope Template Results in Cut Off Text In Upper Left (Return Address Section)
Summary: Printing #10 Envelope Template Results in Cut Off Text In Upper Left (Return ...
Status: RESOLVED NOTOURBUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.2 RC2
Hardware: All Linux (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-29 15:50 UTC by Marty Fried
Modified: 2013-07-09 08:37 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
10 Envelope Example - Print and Cut Off (9.75 KB, application/vnd.oasis.opendocument.text)
2013-05-30 02:00 UTC, Joel Madero
Details
Postscript from Ubuntu 12.10 (42.95 KB, application/postscript)
2013-05-30 17:30 UTC, Florian Reisinger
Details
Resulting PDF, made with online servixe --> shows ps is fine (18.94 KB, application/pdf)
2013-05-30 17:31 UTC, Florian Reisinger
Details
PDF with PDF printer @ Windows (4.00 KB, application/pdf)
2013-05-30 17:32 UTC, Florian Reisinger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marty Fried 2011-05-29 15:50:34 UTC
I have an HP Deskjet 6940 printer, and have been trying to print simple #10 envelopes, but have a similar problem.  No matter what format I set, it cuts off the first 2 characters of my return address, even if it prints it 2 inches from the edge.  Also, I've been printing to plain paper, with the same results (to save envelopes).

Printer and document are set for #10 envelope, and the margins are set correctly.  I tried setting a margin greater than zero for the page properties, but it moved the block over, and still cut off the same amount.  The only way to have a complete return address is to set the paragraph format to indent by about .15" on the left, which is OK if I remember each time, but spaces the return address a bit too much.

If I print to PDF, it looks right, but that is not a solution, just an observation.
Comment 1 Björn Michaelsen 2011-12-23 12:06:54 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 2 Florian Reisinger 2012-08-14 14:04:07 UTC
Dear bug submitter!

Due to the fact, that there are a lot of NEEDINFO bugs with no answer within the last six months, we close all of these bugs.

To keep this message short, more infos are available @ https://wiki.documentfoundation.org/QA/NeedinfoClosure#Statement

Thanks for understanding and hopefully updating your bug, so that everything is prepared for developers to fix your problem.

Yours!

Florian
Comment 3 Florian Reisinger 2012-08-14 14:04:59 UTC
Dear bug submitter!

Due to the fact, that there are a lot of NEEDINFO bugs with no answer within the last six months, we close all of these bugs.

To keep this message short, more infos are available @ https://wiki.documentfoundation.org/QA/NeedinfoClosure#Statement

Thanks for understanding and hopefully updating your bug, so that everything is prepared for developers to fix your problem.

Yours!

Florian
Comment 4 Florian Reisinger 2012-08-14 14:09:27 UTC
Dear bug submitter!

Due to the fact, that there are a lot of NEEDINFO bugs with no answer within the last six months, we close all of these bugs.

To keep this message short, more infos are available @ https://wiki.documentfoundation.org/QA/NeedinfoClosure#Statement

Thanks for understanding and hopefully updating your bug, so that everything is prepared for developers to fix your problem.

Yours!

Florian
Comment 5 Florian Reisinger 2012-08-14 14:11:27 UTC
Dear bug submitter!

Due to the fact, that there are a lot of NEEDINFO bugs with no answer within the last six months, we close all of these bugs.

To keep this message short, more infos are available @ https://wiki.documentfoundation.org/QA/NeedinfoClosure#Statement

Thanks for understanding and hopefully updating your bug, so that everything is prepared for developers to fix your problem.

Yours!

Florian
Comment 6 Marty Fried 2012-08-14 18:56:41 UTC
I have still not been able to print a simple envelope using LibreOffice.  In fact, last time I tried, it didn't even try to print, even using a full sheet to see if the margins were way off.

I have an old laptop with Windows XP and Microsoft Word, so when I need to print an envelope, I fire it up, and it always works perfectly.  

Unless you can show you might have some bit of interest in fixing the problem by specifying something more specific than assuming I'm a knowledgeable beta tester, then I will continue to not use the program.
Comment 7 Florian Reisinger 2012-08-24 13:47:14 UTC
Sorry, just that way the change I want to make is possible....
Comment 8 Florian Reisinger 2012-08-24 13:51:42 UTC
Okay, some more info required:

Length of the paper is ~ 10,4775cm
Width ~ 24,13cm

"Printing to PDF" means PRINTING or SAVING...

Have you already tried to specify a "return_adress" format template with the things you need??
Comment 9 Joel Madero 2013-05-28 15:37:40 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 10 Marty Fried 2013-05-28 16:07:00 UTC
I really don't care what you do.  I gave up after the first 6 months of not hearing anything at all, then later getting a request to apparently install some beta version to test it, with no other input, nor even any suggestions as to how to install the beta.

I'm very sorry, but I can't wait over 6 months to print a damn envelope.  I have found other solutions, which unfortunately required me to use an old laptop with Windows and Microsoft Word.  Somehow, it manages to print envelopes and other documents without the constant problems of Libre Office.  Very disappointing to me, but unless the developers show some interest in fixing the problem rather than making it so hard that I simply give up, then I simply take the path of least resistance and use what works.

It's not even very easy to report bugs in the first place, and I'm sorry I even wasted time thinking it could be fixed.  I wasted my time and money buying an HP printer that supports Linux instead of something like Canon, I guess.

So close it it that's what you want to do. There are many more problems than simply envelopes.  It almost always does a bad job on printing, and is not worth the frustration of even trying any more.
Comment 11 Florian Reisinger 2013-05-28 18:16:40 UTC
You are not fair now....

I answered within 10 days (which is good dor working to 600 bugs).
YOU didn't answer the question I asked you...
YOU didn't try the workaround. (Creating a new template with a Return adress formatting already set...)

So please, please do not shout at people working voluntary here.
We providd a simpler UI for aubmitting bugs: http://qa.libreoffice.org/bsa

So please try this on your printer, which we can't do, because we simply do not have all printers available.

Thanks for your understanding....
Comment 12 Joel Madero 2013-05-28 18:18:04 UTC
per comment - INVALID

Apologies for the long delay, our team of mostly volunteers do what we can, sorry it impacted your workflow so much.
Comment 13 Marty Fried 2013-05-28 19:24:29 UTC
(In reply to comment #11)
> You are not fair now....
> 
> ...
> 
> Thanks for your understanding....

Sorry, I was referring to the fact that I first posted about this in May, 2011, and received my first reply in December, 2011 - 7 months later.  That reply asked me to check a beta1 or beta2 release.  Since it was 7 months later, I had already been forced to find my own workaround by using Windows, and by that time had resigned myself to thinking that nobody really cared that much.

Then in August, 2012, 15 months later, long after I had forgotten all about what I had tried, you asked me a question that I believe was specified in my original report, although I no longer remembered the details.  My original report specified that I used the default template provided for #10 envelope, and tried modifying margins.  It also said that printing to PDF looked correct, but printing to the actual printer was not correct.  

The bottom line is that by the time your last reply came, I had given up and after being unsuccessful at logging in, I didn't even try to recover my password and never responded.

I realize that you are probably doing your best under less than favorable conditions.  I was not "shouting" at you, I was simply explaining that I had to find a workaround because there was no response to my original report for 7 months.  I don't get mad, but I do need to find a way to do things that need to be done.  If I am the only person having trouble with printing, then I realize it's not worth your time to do anything about it, and I don't expect you to.  But if people do have similar problems, and you want me to help by doing certain testing, then you need to realize that I too am volunteering, so you need to at least indicate that I am not simply wasting my time doing this.  I have spent a lot of time in the past helping people with Linux problems, and find it frustrating if they are not willing to put any effort into solving their problems, so I understand how you feel.  But if I come across a post in a forum that is 7 months old, I usually don't expect that the person is still looking for a solution.  

Also, I really didn't understand your reply.  You specified some paper sizes, and told me something about printing or saving to PDF, than asked me if I "tried to specify a "return_adress" format template  without telling me what that is, and why the built-in template for a #10 envelope, which I was trying to print, would not print correctly to a #10 envelope.  Why provide a template that does not work?  If you want me to try something specific, then you need to be more specific about what you want, and why.  The best way to antagonize a user is to ask them to do something then either ignoring them, or telling them they did it wrong, or that it is working as designed.
Comment 14 Joel Madero 2013-05-28 19:33:10 UTC
Thank you for your understanding of our position. 

That being said, if you have a little time to triage a bit more, I'll read through what has already been written and see if I can pinpoint what exact info we can request to help triage the issue. But if you don't have the time (no pressure, we understand), I will have to leave this as closed as a QA member has stated that there is not enough info to confirm.

Let me know if you have a bit of time and can test/confirm that the issue still exists with latest stable.

Our team is way overstretched but we have been recruiting actively to try to prevent bugs from sitting idle without confirmation for months - our goal (and it is not close to being achieved yet) is to have all bugs at least triaged with 30 days of report date.

Again let me know if you have some time and I will attempt to figure out what was requested on your side, else not going to spend the time doing it as I'm backlogged with LibreOffice work as is
Comment 15 Marty Fried 2013-05-28 19:59:24 UTC
If I am the only person having a problem with printing, then I can understand if you would prefer to drop the issue.  But if you truly want to find the solution to the problem (if it still exists), then I have time, and perhaps more important to you, I am very technical and good at solving problems

I use Linux 98% of the time, so I wanted to be able to use LibreOffice for word processing and printing, and even bought an HP printer because I thought it was one of the better-supported Linux printers (I had a Canon before that, and it was totally not supported).  I did a lot of troubleshooting at the time, trying different settings, custom templates, etc.  Unfortunately, it was mostly forgotten by the time I got the 1st reply, so that is why I didn't want to install a beta version, then figure out how to even print an envelope (it's not that intuitive, if I remember correctly).

So, since you sound willing to look into it, I will try again.  I use Ubuntu 12.04 right now, and have:
LibreOffice 3.5.7.2 
Build ID: 350m1(Build:2

I have unused partitions on my drive, so I can install the latest Ubuntu to test a newer version, or I can simply install a newer version if that would be best.
Comment 16 Joel Madero 2013-05-28 20:01:47 UTC
Moving back to UNCONFIRMED - okay no need to install new distro completely. Are you willing to install LibreOffice 4.0.3.3? That is our latest stable. Good thing about this is it won't affect your current profile (version 4 uses its own folder for profile, doesn't share with 3)

If so, please download the debian packages here and download: http://www.libreoffice.org/download

Get the appropriate package, install, verify problem - we'll go from there.

Also can you attach a document that cuts off for you? I will try printing from my HP printer to see what I get.
Comment 17 Marty Fried 2013-05-28 20:08:14 UTC
OK, I will install the latest version.  I don't think I have done any modifications to the current version since installing Ubuntu 12.04 a while back, so no worries about that.

I'll let you know what happens.
Comment 18 Florian Reisinger 2013-05-29 05:51:25 UTC
Please, please tell me, if the size (if the size I had back then is correct) and if you SAVED or PRINTED the pdf (I still think it is saved)

If it is saved NOTOURBUG --> Printer driver error
If it is printed (via a PDF printer) --> Further investigation

(Joel, definitely NEEDINFO)

If NOTOURBUG you have a working WORKAROUND:Create your own template instead, with a special style for the return address, which simply has a little more margain on the left...
Comment 19 Marty Fried 2013-05-29 22:54:23 UTC
I uninstalled the old version, and installed 4.0.3.3.  I selected "Insert Envelope", and used the default size, which was #10 envelope, 9.5" x 4.13", which is the right size for the test envelope I used.

The margins for sender were 0.39" (both left and top)
The result was truncated on the left by 2 characters, and the position was:
Left, 0.6", Top: 0.875"

At first I thought perhaps my printer would not print any closer, but I printed an envelope from MS Office 2010, and the return address was Left: 0.45", top: 0.31".

I then inserted a new envelope, but changed the left margin to 0.6" (the actual result from the first test), and the address was not truncated, and printed at the 0.625" from the left, just slightly more than the first test.  So this will mask the problem, but doesn't look very good.

I did a test, setting all margins to zero, and printed a full page (8.5 x 11) of text.
The actual margins ended up as Left/Right: 0.125", top/bottom: 0.5", so I guess this must be the actual printer limits.  There was truncation, but when I set the margins to 0.25" top/bottom and 0.5" left/right, it printed perfectly.

As far as PDF goes, I did "Print to PDF", as I wanted to test the print function, and assumed save to PDF would work fine, as it always seems to do.  The print to PDF output was not truncated, but I don't really know how to test it to an envelope.  It prints fine to a full page.

FWIW, it acts as if the envelope printing module thinks that it can only print within 0.6" of the left edge of envelope, so it doesn't try to finish.  I am feeding the envelope with the right short edge leading, if that matters.  I just discovered (rediscovered) that there are a bunch of settings for envelopes, including "print from top" (it's set to bottom), and the orientation; also, I see the shift right and shift down.  I think I messed with these before my initial report, but I don't remember the results.  I can do more extensive tests with these settings, and if you have specific suggestions, I'll be sure to include them.

By the way, the pictures for the orientation are not quite right, as the one I used (far right) shows the envelope in a way that would cause it to print upside down.
Comment 20 Joel Madero 2013-05-29 22:56:50 UTC
I'm a bit confused about what you've written - if pdf print is working then it's a margin problem which is printer specific - I'm very much wondering if this is NOTOURBUG.

If you export to pdf and then print the pdf does it work or is this truncated also? If this is truncated I very much would say this is NOTOURBUG and is a limitation of the printer or the printer driver in Linux :-/

More tests appreciated
Comment 21 Marty Fried 2013-05-29 23:26:26 UTC
If you are simply going to condense a few hours of my time in installing, testing, and writing up a detailed report into a copout called NOTOURBUG, then please just let me know now.  I am putting in a lot of effort trying to help fix this, but I can just as easily go back to Microsoft Office, which prints envelopes on this printer just fine.  

If you are interested, I have a theory about the source of the problem, which came to me while looking at the PDF of the envelope with a test document.  I see that the envelope, on page 1, on top of the document, is of course wider than the document page (9.5" vs 8.5").  

It looks like the left edge of the document page is about where the return address is truncated.  Also, when I print an envelope with MS Office, the printer stops with a warning about paper size, and makes me press the continue button, but with LibreOffice, there is nothing like this.

So, I wonder if LibreOffice is not setting the size correctly, and it acts as if the envelope is only 8.5" rather than 9.5.

I did a test print from the PDF file, after setting it to landscape mode so it would print lengthwise on the page.  It was truncated, same as the envelope, although it was 2 inches from the bottom of the page.  It seems evident that the module that prints envelopes is not setting the correct size for the printer.

And just to further confuse everyone, printing this PDF to another PDF does not truncate the way it does to the printer
Comment 22 Joel Madero 2013-05-30 00:02:10 UTC
I am not giving a guarantee that this will be called our bug. You are saying MSO but then it's marked as Linux(All) so I need confirmation that you can print such a setup IN LINUX. I assume MSO means Microsoft Windows of some kind which is irrelevant if it's a Linux(all) bug report....

That being said, feel free to close it if you are in fear of wasting your time. I have spent 8 hours today triaging bugs, I appreciate you putting in the extra time but with given information there are still questions to be answered, first and foremost, can you print with these margin settings outside of LibreOffice but within Linux (ie export to PDF and print, see if it works from withint acrocread or some other PDF viewer)
Comment 23 Marty Fried 2013-05-30 01:19:20 UTC
Printing from MS Office is only relevent to show that the printer is capable of printing envelopes closer to the edge than Libre Writer is doing.

The problem seems to be that nobody is actually reading my reports, but simply looking for something to trigger a closing of the bug.  My report from 2 years ago is, in essence, the same as now, but since I thought someone was actually interested, this time I documented each step and tried to figure out what the problem might be.  Previously, I didn't spend as much time because many times I report a bug and find out that it is already known, and there is a solution, so why waste time?

You keep asking me to print an envelope in another Linux app.  OK, how do you print an envelope in an Acrobat reader?  There is no option for that.  I can only print the envelope generated by Libre, which I already said did not print correctly. Oh, I forgot, you didn't read that far. 

The fact still remains that envelopes do not print from Libre Writer.  If that doesn't bother you, then of course this was a big waste of time for both of us.  I'm sorry I ever even tried to report this, and I will think twice before doing it in the future.
Comment 24 Joel Madero 2013-05-30 01:23:18 UTC
With the additional information - I can also test from my printer to see what I get. I will do so and report back tomorrow (I'll try my best by tomorrow)
Comment 25 Joel Madero 2013-05-30 01:34:27 UTC
You can easily test the margin issue by just changing margins on a normal print to whatever the margins that you mentioned and see if it's cut off printing from PDF.

This being said, I am done triaging this bug - I don't appreciate being told that I'm not reading your comments as I've spent quite a bit of time dealing with this one (even 10 minutes for me is quite a bit when I'm triaging hundreds of bugs and volunteering hundreds of hours towards the project).

If someone else takes over (Florian is also involved) they can get additional information. Apologies for wasting your time
Comment 26 Joel Madero 2013-05-30 01:58:01 UTC
That being said, I couldn't just walk away - I did some tests and can confirm. What I did:


Format -> Page -> Format 
Select #10 Envelope
Landscape for page orientation

Type in your information like you would on any envelope

Then FOR MY TEST:
Print to File -> Save as File
OPEN SAID FILE WITH PDF Viewer (in my case Adobe)
PUT ENVELOPE IN PRINTER (Canon Pixsmart in my instance)
PRINT

Observed:
Prints fine, return address isn't quite where I expect it to be for an envelope but nothing cut off, PDF looks good also (good sign that it's not Cups or some other software and therefore more likely it's our bug)

Then:

Print from writer SAME DOCUMENT

Observed:
Return address cut off

Expected:
Obviously the same as pdf export and print from pdf viewer

This being said, I can now exclude CUPS as the culprit, I can also exclude printer driver, AND can confirm that printer is capable of printing in these margins WITHIN Linux.
Comment 27 Joel Madero 2013-05-30 02:00:08 UTC
Created attachment 80004 [details]
10 Envelope Example - Print and Cut Off
Comment 28 Joel Madero 2013-05-30 02:01:01 UTC
Print attached file to pdf - looks fine
Print pdf from any viewer to physical printer - looks good (mostly, could be better)

Print from writer (original odt) - result = cut off text (substantially cut off)
Comment 29 Marty Fried 2013-05-30 02:45:30 UTC
(In reply to comment #25)
> You can easily test the margin issue by just changing margins on a normal
> print to whatever the margins that you mentioned and see if it's cut off
> printing from PDF.
> 
> This being said, I am done triaging this bug - I don't appreciate being told
> that I'm not reading your comments as I've spent quite a bit of time dealing
> with this one (even 10 minutes for me is quite a bit when I'm triaging
> hundreds of bugs and volunteering hundreds of hours towards the project).
> 
> If someone else takes over (Florian is also involved) they can get
> additional information. Apologies for wasting your time

The funny thing is that I did what you asked, and documented it fully in my report, and the margins were fine.  If I had known how little time you had, I would not have bothered.  I tried to help, really.  I tried every setting to see what effect it had.  I made suggestions about what it might have been, but they were never even acknowledged. It's really not that easy to test for me, as I cannot see any way to even see what the settings are that were used, only the last ones used.  So it's very hard to try more than one thing at a time.

But now it sounds like you have the same problems, although I don't fully understand what you are reporting.  But on my printer, I can't really print envelopes from an acrobat reader.  The envelope will not fit across the width, and I have a feeder on the right side of the tray, and I don't know of any linux app besides Libre that allows that to be specified.  Perhaps I should try Abiword?
Comment 30 Joel Madero 2013-05-30 02:59:33 UTC
Let's just call it done - I've confirmed the problem we can be happy. Apologies for the quasi harsh words - please understand from our side that we literally have spent hundreds of hours looking at bugs and many of them are VERY POORLY reported. This wasn't the case in your report but I think irritation was clear from the get go from comment 10 which perhaps put me in a bad mood as well and perhaps our side could have been clearer about what we were looking for.

The bug is confirmed - it's done and ready to go. 

Other programs that can print envelopes are abiword, kword (I think that's the name) & of course AOO. Not sure if one of these will be better for you but if this is a minor issue for you then I hope you can stick with LibreOffice and continue to help us make it even better for every one of our great users and great contributors.
Comment 31 Florian Reisinger 2013-05-30 06:46:34 UTC
Hi,

[if you are in a hurry, go to IN SHORT: a little bit down]

One thing I am interested in, if you are able to try once more. How is this working with LibreOffice Windows. You can find a portable version (install it on a folder on the desktop -> after testing deleting this folder is enough)

This is about testing, if really Linux only (To less insight in Linux. Has Linux a PDF printer included or did you use the Print to file somewhere else. From Windows I know that the driver of a PDF printer is totally different from a real printer, that's why I stressed this point. I do not want to put a lot of additional work on you, really, but all (at least) I read is: Printing to PDF works -> LibreOffice output is okay -> Printing to real printer does not work -> Bug in all Linux printer's except of PDF output...
So, I read that cups is doing (all??) the printing. No additional drivers needed (nice, if so...) Still you seemed to use a feature of cups to save as PDF and not a "real" PDF printer. So IMHO cups code could still be affected.

BTW: (original from: http://wiki.ubuntuusers.de/Druckwerkzeuge -> German)
Quote
Hinweis:
Ab Ubuntu 11.04 kann die Nutzung von CUPS-PDF durch diverse Fehler (z.B. 820820, 942866) stark beeinträchtigt sein (PDF-Dateien sind unleserlich und nicht mehr durchsuchbar).
Unquote

Bugs in cups-pdf and the above waring makes me wonder, wether we should trust cups-pdf...


IN SHORT:
After a long comment the sentence which was the comment all about:

I can't print out a envelope and I would really like to know, if this also happens on Windows. Personally I use http://www.pdfforge.org/ for printing to PDF @Windows... Because this PDF printer has his own driver and your real printer has a totally different set of drivers in Windows, the results should be the same, or it seems to be a bug in the printer driver... Yes I still think so, because when you save to pdf, this happens in Linux inside of cups, which I do not really like (because it may hide some issues)

Sorry for putting back to NEEDINFO, maybe this is not only a Linux bug..
Comment 32 Florian Reisinger 2013-05-30 17:30:41 UTC
Created attachment 80058 [details]
Postscript from Ubuntu 12.10

Hi,

Tested on Ubuntu, created a .ps file with LibreOffice tools. PS is IMHO used to communicate with the printer --> http://en.wikipedia.org/wiki/PostScript

This file seems perfect on Ubuntu, also converting to PDF works (with http://ps2pdf.com/ ) PDF seems fine. The PS file is IMHO the thing sent to the printer in any way  + Working on Windows... (the .ps also seems okay)

Tested on Win with 4.2.0.0.alpha0+, as printer PDF creator
Tested on Ubuntu 12.10 with 3.6.2.2 in print dialogue print to file.

The PostScript gets handed to CUPS (On Linux and MacOS --> Confirming on MacOS with same cups version would be a 100% proof, that this is cups related) [Link to info: http://www.cups.org/documentation.php/doc-1.4/spec-postscript.html ]

Windows test and resulting PDF will be uploaderd immediately...
Comment 33 Florian Reisinger 2013-05-30 17:31:25 UTC
Created attachment 80059 [details]
Resulting PDF, made with online servixe --> shows ps is fine
Comment 34 Florian Reisinger 2013-05-30 17:32:19 UTC
Created attachment 80060 [details]
PDF with PDF printer @ Windows
Comment 35 Marty Fried 2013-05-30 17:54:22 UTC
I think that because I don't know a lot about how the printing process is done from the app to the printer, much of this conversation is hard to follow.  However, I think I can understand the gist of what you are saying, and I think you might be right.

When printing to PDF from Libre, the size is correct; there is the 9.5" wide envelope, and the 8.5" wide document below it.  But when printing to the printer, either direct from Libre, or from the PDF, the size seems to be wrong.  It seems that it remains set to 8.5", and is therefore truncated.  I have been able to exactly duplicate this truncation when printing from the PDF file by changing the orientation to force it to print in the same way as the direct printing.

So, unless you have any plans to do it, perhaps I can figure out how to file a bug report for CUPS with these conclusions, if they seem reasonable.
Comment 36 QA Administrators 2013-07-08 21:22:38 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO
Comment 37 Florian Reisinger 2013-07-09 08:37:11 UTC
Okay, this is not invalid